from easymaker import initializer

from easymaker.log import logger

from easymaker.experiment import experiment

from easymaker.training import training

from easymaker.training import model

from easymaker.endpoint import endpoint

from easymaker.common import constants

from easymaker.common import exceptions

from easymaker.common import utils

from easymaker.storage import objectstorage

import importlib_metadata

__version__ = importlib_metadata.version("easymaker")

easymaker_config = initializer.global_config

init = easymaker_config.init

logger = logger.Logger

Experiment = experiment.Experiment

Training = training.Training

Model = model.Model

Endpoint = endpoint.Endpoint

download = objectstorage.download

upload = objectstorage.upload

TENSORFLOW = 'TENSORFLOW'
PYTORCH = 'PYTORCH'

__all__ = (
    "init",
    "Training",
)
